<template>
    <div class="content__leftAnalitika">
        <faq-form @submit="create"/>
    </div>
</template>

<script>
import laravelValidationErrorParse from "../mixins/laravelValidationErrorParse";
import {mapGetters} from "vuex";
import FaqForm from "../components/faq_items/FaqForm";

export default {
    name: "FaqCreate",
    mixins: [laravelValidationErrorParse],
    computed: {
        ...mapGetters([
            'axios'
        ]),
    },
    methods: {
        create(formData){
            this.axios
                .post(`faq_items`, formData)
                .then(resp => resp.data)
                .then(data => {
                    if('success' === data.status){
                        this.$swal(this.$t('ui.success'));
                    }else{
                        this.$swal(this.$t('ui.error'), data.message, 'error')
                    }
                })
                .catch((error) => {
                    this.displayErrorsSwal(error);
                });
        }
    },
    components: {
        FaqForm
    }
}
</script>

<style scoped>

</style>
